#!/usr/bin/env Rscript  
source("/home/tanu/git/LSHTM_analysis/scripts/plotting/plotting_thesis/alr/alr_lineage_bp_dist.R")

###########################################
# TASK: generate plots for lineage
# Individual plots in 
#lineage_bp_both.R
#linage_dist_ens_stability.R
###########################################
#### just A+B ####
# png
my_label_size = 12
linPlots_combined = paste0(outdir_images
                           , tolower(gene)
                           ,"_linP_AB_combined.png")


cat("\nOutput plot:", linPlots_combined)
png(linPlots_combined, width = 9, height = 6, units = "in", res = 300)


cowplot::plot_grid(lin_countP, lin_diversityP
                     , ncol = 2
                     , labels = "AUTO"
                     , label_size = my_label_size)
dev.off()

# svg
# linPlots_combined = paste0(outdir_images
#                         , tolower(gene)
#                         ,"_linP_combined.svg")
# 
# cat("\nOutput plot:", linPlots_combined)
# svg(linPlots_combined, width = 18, height = 12)
# 
# cowplot::plot_grid(
#   cowplot::plot_grid(lin_countP, lin_diversityP
#                      , nrow = 2
#                      , rel_heights = c(1.2,1)
#                      , labels = "AUTO"
#                      , label_size = my_label_size),
#   NULL,
#   linP_dm_om,
#   nrow = 1,
#   labels = c("", "", "C"),
#   label_size = my_label_size,
#   rel_widths = c(35, 3, 52)
# )
# dev.off()

# png
# my_label_size = 12
# linPlots_combined = paste0(outdir_images
#                            , tolower(gene)
#                            ,"_linP_combined.png")
# 
# cat("\nOutput plot:", linPlots_combined)
# png(linPlots_combined, width = 9, height = 6, units = "in" ,res = 300)
# 
# cowplot::plot_grid(
#   cowplot::plot_grid(lin_countP, lin_diversityP
#                      , nrow = 2
#                      , rel_heights = c(1.2,1)
#                      , labels = "AUTO"
#                      , label_size = my_label_size),
#   NULL,
#   linP_dm_om,
#   nrow = 1,
#   labels = c("", "", "C"),
#   label_size = my_label_size,
#   rel_widths = c(35, 3, 52)
# )
# dev.off()


